TYPO3 Core - Task #68081
Epic # 70575 (Closed): Extract Extensions into TER

Update Wizard for ext:openld + Remove extension from core
2015-07-13 19:41 - Anja Leichsenring

Status: Closed Start date: 2015-07-13
Priority: Should have Due date:

Assignee: Frank Naegler % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 7 LTS

TYPOS3 Version: 7 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

openld is about to be moved to TER, so we need an update wizard in place which detects the former usage by checking the fe_users

and be_users table for the openid table field.

Associated revisions

Revision 2687014e - 2015-11-04 00:50 - Frank Naegler
[TASK] Remove ext:openid and provide Update Wizard

Since EXT:openid is moved to TER, openid must be removed from core.
This patch removes the extension and provides an update wizard to
install openid from TER.

Resolves: #68081

Releases: master

Change-Id: 18d1d5bfe718b86b47b93e6ffbc2abc23a7cb8b3e
Reviewed-on: https://review.typo3.org/44418

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-10-11 13:56 - Benni Mack
- Category deleted (1597)
- Parent task set to #70575

#2 - 2015-10-30 17:39 - Frank Naegler
- Status changed from New to In Progress

- Assignee changed from Anja Leichsenring to Frank Naegler

#3 - 2015-10-30 17:40 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/44418

#4 - 2015-11-02 13:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/44418

#5 - 2015-11-02 13:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/44418
#6 - 2015-11-02 21:46 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/44418

#7 - 2015-11-02 22:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/44418

#8 - 2015-11-02 22:38 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/44418

#9 - 2015-11-03 09:45 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/44418

#10 - 2015-11-03 09:48 - Frank Naegler

- Subject changed from Update Wizard for ext.openld to Update Wizard for ext:openld + Remove extension from core

#11 - 2015-11-03 10:32 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/44418

#12 - 2015-11-03 22:50 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/44418

#13 - 2015-11-03 23:43 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/44418

#14 - 2015-11-03 23:46 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/44418

#15 - 2015-11-04 00:03 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/44418

#16 - 2015-11-04 01:00 - Frank Naegler
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 2687014e68c02a5ff0b1bbe28760572089302644a.

#17 - 2017-10-21 17:45 - Riccardo De Contardi

- Status changed from Resolved to Closed
